#52 xsl:output AVTs allowed when version=1.0

v6.5
closed
3
2012-10-08
2002-01-09
Michael Kay
No

Setting version="1.0" on the xsl:stylesheet should
prevent all use of extensions defined only in XSLT
1.1. It currently doesn't prevent attributes of
xsl:output being written as attribute value templates.

Applies to Saxon 6.5 only.

(Note, xml:base is also supported regardless of
version. I don't intend to change this, because there
is nothing in XSLT 1.0 that says xml:base must not be
supported).

Discussion

  • Michael Kay

    Michael Kay - 2002-02-07

    Logged In: YES
    user_id=251681

    Source code fixed (6.5 branch only) and tested.

     
  • Michael Kay

    Michael Kay - 2002-02-20

    Logged In: YES
    user_id=251681

    Cleared in 6.5.1

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks